Bug 1023583 - Blivet.copy does not update parted disk refs for partitions on hidden disks
Blivet.copy does not update parted disk refs for partitions on hidden disks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-blivet (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: David Lehman
Release Test Team
:
Depends On: 1023556
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 16:19 EDT by David Lehman
Modified: 2014-06-18 00:45 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-blivet-0.18.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1023556
Environment:
Last Closed: 2014-06-13 07:38:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2013-10-25 16:19:14 EDT
+++ This bug was initially created as a clone of Bug #1023556 +++

Description of problem:
During a deep-copy of blivet we have to update the parted.Partitions so they are associated with the same instance of parted.Disk that is in the newly copied disk's format instance. We failed to perform the same update on partitions that reside on hidden disks (eg: disks not selected during OS installation).

Version-Release number of selected component (if applicable):
python-blivet-0.18.7-1

How reproducible:
Always (using anaconda)

Steps to Reproduce:
1. select one of two full disks, choose custom, clear disk, autopart, save
2. revisit storage, select both disks, choose reclaim, delete all, reclaim

Actual results:
traceback from pyparted saying partition (on previously hidden disk) is not part of the disk it is being removed from

Expected results:
successful clearing and reinitialization, then autopart, of both disks

Additional info:
Comment 3 Ludek Smid 2014-06-13 07:38:58 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.